import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { Dropdown } from './Dropdown';

const options = [
  { value: 'dog', label: 'Dog' },
  { value: 'cat', label: 'Cat' },
  { value: 'hamster', label: 'Hamster' },
  { value: 'parrot', label: 'Parrot' },
  { value: 'spider', label: 'Sipder' },
  { value: 'goldfish', label: 'Goldfish' },
];

const initialValue = 'hamster';

const App = () => {
  const [selectValue, setSelectValue] = useState(
    initialValue
  );
  return (
    <div>
      <label>Choose</label>
      <Dropdown
        options={options}
        id="pet-select"
        selectdValue={selectValue}
        onSelectedValueChange={setSelectValue}
      />
    </div>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
